\section{\report{} May 29, 2020}
\label{sec:2020-05-29-section}

\subsection{Data I found}
\label{sec:2020-05-29-data}

\begin{itemize}
  \item \href{https://www.inps.it/docallegatiNP/Mig/Dati_analisi_bilanci/Nota_CGSA_mortal_Covid19_def.pdf}{Harvest effect}: old people who got over the usual influenza disease have been the first ones to die, followed by the elderly, by \cov{}. From 01.01 to 28.02 deaths in Italy were lower than expected (baseline from 2015-2019), while from 01.03 to 30.04 were much higher
  \item Sweden adopted the \textbf{no-lockdown} strategy. The Public Health Agency issued recommendations to avoid contacts and stay home but lockdown was not forced. You can't compare Sweden and Italy since Sweden has $\sim \frac{1}{6}$ population of Italy and is $\sim \frac{3}{2}$ larger than Italy but you can compare Sweden and other nordic countries: x7 deaths compared to Denmark, x16 compared to Norway. See \fg[swedenVSAll]{}.
  \item Hospitalization threshold and strategies \textbf{must} be taken into consideration. According to \href{https://www.scienzainrete.it/articolo/perch%C3%A9-si-muore-sempre-meno-di-covid/luca-carra/2020-05-25?fbclid=IwAR0z0NKroA6yziFUaVxu7R4S5pkPw7ysuE15-NrX83xRDzykmBljO0trC84}{Fabio Ciceri}, head of San Raffaele, \cov{} letality decreased from 29\% to 2\% in just a few weeks. The reasons for that are: more ICU beds available, more at-home cure, faster cure approach, seasonality (less influenza effect), better strategies (\eg{} you go to the hospial only if you're really sick), less viral dosage (less hubs $\Rightarrow$ less viral dosage in the area)
  \item The latest \href{https://www.inps.it/docallegatiNP/Mig/Dati_analisi_bilanci/Nota_CGSA_mortal_Covid19_def.pdf}{report on deaths} by INPS, describing the increase of deaths number from the baseline 2015-2019, estimates $\sim 40\%$ of deaths are unaccounted $\Rightarrow$ more than the \hyperref[sec:2020-05-01-fn-model]{previously estimated} $36\%$.
\end{itemize}

\begin{figure}[ht!]
\centering
\includegraphics[width=90mm]{img/2020-05-29/sweden.png}
\caption{Sweden VS Germany VS UK VS USA VS Italy}
\label{fig:swedenVSAll}
\end{figure}

\subsection{Resources I found}
\label{sec:2020-05-29-resources-I-found}

\subsubsection{ABM}
\label{sec:2020-05-29-abm-resource}

\begin{itemize}
\item \href{https://en.wikipedia.org/wiki/Comparison_of_agent-based_modeling_software}{Wikipedia} lists some of the most popular software for ABM modeling
\item \href{https://reina.kausal.tech/}{REINA} \href{https://www.medrxiv.org/content/10.1101/2020.04.09.20047498v1.full.pdf}{tested and validated} in \cov{} epidemic in Finland
\item \href{https://arxiv.org/pdf/1801.05854.pdf}{$ND_{LIB}$} for analysis of diffusion in complex networks
\item some people in Columbia university \href{https://journals.sagepub.com/doi/pdf/10.1177/0037549706073695?casa_token=yuy3t67UIFAAAAAA:EHYKbb5PbGNXao-FKxUkDGWdlu9SQGO49xnIvMWixbcJGIk6c3QUXmb164xWFFe5Z2hLsSF_lYo1}{did a review} of the top 5 platforms
\item \href{https://www.sciencedirect.com/science/article/abs/pii/S1364815208001072?via%3Dihub}{global model for influenza}
\item \href{https://github.com/projectmesa/mesa}{Mesa} which has a nice github. \href{http://dmnfarrell.github.io/bioinformatics/abm-mesa-python}{Here is} the SIR implementation using Mesa
\item \href{https://www.researchgate.net/publication/221235406_EpiFast_A_fast_algorithm_for_large_scale_realistic_epidemic_simulations_on_distributed_memory_systems}{EpiFast} used succesfully \href{https://www.sciencedirect.com/science/article/pii/S1755436517300221}{to predict Ebola}
\item \href{https://www.nature.com/articles/s41598-019-55689-4}{SimpactCyan} written in C++, but has $API_s$ for R and Python
\item the \href{https://www.nature.com/articles/nature04795}{Ferguson letter to Nature} describing the possible mitigation strategies for an influenza pandemic. They used an IBM with "high-resolution population density data and data on travel patterns".
\item \href{https://www.ncbi.nlm.nih.gov/books/NBK305917/}{Considerations and Best Practices} for ABM
\end{itemize}

\subsection{Things I did}
\label{sec:2020-05-29-things-I-did}

\subsubsection{FNH model = FN + Hospitalization}
\label{sec:2020-05-29-FN-model-hospitalization}

I drafted a model taking into account the hospitalization levels. \fg[FN-hosp]{} displays the sketch. I made a change to the evaluation of the non-linear component: in particular I divide the dot product $S(t) \cdot I_{u}(t)$ by the class of popoulation who is not \textit{reachable} anymore \ie{} the dead and the quarantined $\Rightarrow D(t) + H_m(t) + H_s{t} + I_{cu}(t)$.\\
More over in order to efficiently fit the model I merged the protected state $P$ and the recovered from being asymptomatic state $I_u \longrightarrow R$ into one same state. I also note that the $D$ state consists of 2 inner states: $I_{cu}, H_s \longrightarrow D$ and $I_u \longrightarrow D$. The relevant ODE system is thus:

\begin{align}
  \frac{\mathrm{d} S(t)}{\mathrm{d} t} &= - \it{b} S(t) \cdot \frac{I_{u}(t)}{N - \left(D(t) + H_m(t) + H_s(t) + I_{cu}(t) \right)} - \it{a} S(t)\\
  \frac{\mathrm{d} E(t)}{\mathrm{d} t} &= \it{b} S(t) \cdot \frac{I_{u}(t)}{N - \left(D(t) + H_m(t) + H_s(t) + I_{cu}(t) \right)} - \it{c} E(t)\\
  \frac{\mathrm{d} I_{u}(t)}{\mathrm{d} t} &= \it{c} E(t) - (\it{d} + \it{e} + \it{f} + \it{g}) \cdot I_{u}(t)\\
  \frac{\mathrm{d} H_{m}(t)}{\mathrm{d} t} &= \it{e} I_{u}(t) - (\it{h} + \it{i}) \cdot H_{m}(t)\\
  \frac{\mathrm{d} H_{s}(t)}{\mathrm{d} t} &= \it{f} I_{u}(t) - (\it{l} + \it{m} + \it{n}) \cdot H_{s}(t)\\
  \frac{\mathrm{d} I_{cu}(t)}{\mathrm{d} t} &= \it{m} H_{s}(t) - (\it{o} + \it{p}) \cdot I_{cu}(t)\\
  \frac{\mathrm{d} R(t)}{\mathrm{d} t} &= \it{d} I_{u}(t) + \it{i} H_{m}(t) + \it{l} H_{s}(t) + \it{o} I_{cu}(t)\\
  \frac{\mathrm{d} D(t)}{\mathrm{d} t} &= \it{g} I_{u}(t) + \it{n} H_{s}(t) + \it{p} I_{cu}(t)\\
  \frac{\mathrm{d} P(t)}{\mathrm{d} t} &= \it{a} S(t)
\end{align}

\begin{figure}[ht!]
\centering
\includegraphics[width=\wimg{}]{img/2020-05-29/sketch.png}
\caption{FNH model}
\label{fig:FN-hosp}
\end{figure}

\subsubsection{Simulations of FN model with hospitalization}
\label{sec:2020-05-29-sim-FN-model-hospitalization}

I ran some simulations and the results are the following. \tab[2020-05-29-FNH-params]{} shows the results of the parameters fitting.\tab[2020-05-29-FNH-initial-params-noLockdown]{} and \tab[2020-05-29-FNH-initial-params-lockdown] shows the parameters guess and bounds before fitting. \tab[2020-05-29-FNH-assumptions]{} shows the assumptions of the model. \fg[FNH-plot-lockdown]{} and \fg[FNH-plot-noLockdown]{} show the plots for the different lockdown conditions.

\begin{table}[]
\centering
\begin{tabular}{|l|l|l|l|l|}
\hline
& \textbf{states} & \textbf{no lockdown} & \textbf{lockdown} & \textbf{inferred meaning} \\ \hline
a & $S \longrightarrow P$ & 0.010000 & 1.000000 & more protection \\ \hline
b & $S \longrightarrow E$ & 0.950000 & 0.001000 & lower chance of getting infected \\ \hline
c & $E \longrightarrow I_{u}$ & 0.047619 & 0.047619 & same latent period \\ \hline
d & $I_{u} \longrightarrow R$ & 0.063580 & 0.141077 & higher chance of recovering \textit{undetected} \\ \hline
e & $I_{u} \longrightarrow H_{m}$ & 0.004000 & 0.020000 & higher chance of going home-confined \\ \hline
f & $I_{u} \longrightarrow H_{s}$ & 0.001000 & 0.009672 & higher chance of going hospitalized \\ \hline
g & $I_{u} \longrightarrow D$ & 0.000119 & 0.001675 & higher chance of dying \textit{undetected} \\ \hline
h & $H_{m} \longrightarrow H_{s}$ & 0.250000 & 0.008000 & lower chance of going hospitalized \\ \hline
i & $H_{m} \longrightarrow R$ & 0.039813 & 0.012000 & same chance of recovering from home \\ \hline
l & $H_{s} \longrightarrow R$ & 0.010000 & 0.040000 & higher chance of recovering from hospita \\ \hline
m & $H_{s} \longrightarrow I_{cu}$ & 0.038018 & 0.010000 & lower chance of being moved to ICU \\ \hline
n & $H_{s} \longrightarrow D$ & 0.025922 & 0.020000 & lower chance of dying when hospitalized \\ \hline
o & $I_{cu} \longrightarrow R$ & 0.010000 & 0.050000 & higher chance of recovering from ICU \\ \hline
p & $I_{cu} \longrightarrow D$ & 0.004000 & 0.020000 & higher chance of dying when in ICU \\ \hline
\end{tabular}
\caption{Parameters fit for different timeframes}
\label{tab:2020-05-29-FNH-params}
\end{table}

\begin{table}[]
\centering
\begin{tabular}{|l|l|l|l|l|}
\hline
& \textbf{states} & \textbf{lower bound} & \textbf{initial guess} & \textbf{upper bound} \\ \hline
a & $S \longrightarrow P$ & 0.010000 & 0.010000 & 0.010000 \\ \hline
b & $S \longrightarrow E$ & 0.850000 & 0.900000 & 0.950000 \\ \hline
c & $E \longrightarrow I_{u}$ & 0.047619 & 0.066667 & 0.071429 \\ \hline
d & $I_{u} \longrightarrow R$ & 0.033333 & 0.066667 & 0.100000 \\ \hline
e & $I_{u} \longrightarrow H_{m}$ & 0.004000 & 0.005000 & 0.006000 \\ \hline
f & $I_{u} \longrightarrow H_{s}$ & 0.000900 & 0.000950 & 0.001000 \\ \hline
g & $I_{u} \longrightarrow D$ & 0.000100 & 0.000150 & 0.000200 \\ \hline
h & $H_{m} \longrightarrow H_{s}$ & 0.150000 & 0.200000 & 0.250000 \\ \hline
i & $H_{m} \longrightarrow R$ & 0.010000 & 0.050000 & 0.100000 \\ \hline
l & $H_{s} \longrightarrow R$ & 0.010000 & 0.020000 & 0.030000 \\ \hline
m & $H_{s} \longrightarrow I_{cu}$ & 0.030000 & 0.040000 & 0.040000 \\ \hline
n & $H_{s} \longrightarrow D$ & 0.010000 & 0.020000 & 0.030000 \\ \hline
o & $I_{cu} \longrightarrow R$ & 0.010000 & 0.020000 & 0.030000 \\ \hline
p & $I_{cu} \longrightarrow D$ & 0.002000 & 0.003000 & 0.004000 \\ \hline
\end{tabular}
\caption{Parameters guess and boundaries for not lockdown scenario}
\label{tab:2020-05-29-FNH-initial-params-noLockdown}
\end{table}

\begin{table}[]
\centering
\begin{tabular}{|l|l|l|l|l|}
\hline
& \textbf{states} & \textbf{lower bound} & \textbf{initial guess} & \textbf{upper bound} \\ \hline
a & $S \longrightarrow P$ & 0.900000 & 0.950000 & 1.000000 \\ \hline
b & $S \longrightarrow E$ & 0.001000 & 0.002000 & 0.003000 \\ \hline
c & $E \longrightarrow I_{u}$ & 0.047619 & 0.066667 & 0.071429 \\ \hline
d & $I_{u} \longrightarrow R$ & 0.047619 & 0.071429 & 0.142857 \\ \hline
e & $I_{u} \longrightarrow H_{m}$ & 0.020000 & 0.025000 & 0.030000 \\ \hline
f & $I_{u} \longrightarrow H_{s}$ & 0.009000 & 0.009500 & 0.010000 \\ \hline
g & $I_{u} \longrightarrow D$ & 0.001600 & 0.001800 & 0.002000 \\ \hline
h & $H_{m} \longrightarrow H_{s}$ & 0.008000 & 0.009000 & 0.010000 \\ \hline
i & $H_{m} \longrightarrow R$ & 0.012000 & 0.015000 & 0.018000 \\ \hline
l & $H_{s} \longrightarrow R$ & 0.040000 & 0.045000 & 0.050000 \\ \hline
m & $H_{s} \longrightarrow I_{cu}$ & 0.010000 & 0.020000 & 0.030000 \\ \hline
n & $H_{s} \longrightarrow D$ & 0.001000 & 0.010000 & 0.020000 \\ \hline
o & $I_{cu} \longrightarrow R$ & 0.050000 & 0.100000 & 0.500000 \\ \hline
p & $I_{cu} \longrightarrow D$ & 0.001000 & 0.010000 & 0.020000 \\ \hline
\end{tabular}
\caption{Parameters guess and boundaries for lockdown scenario}
\label{tab:2020-05-29-FNH-initial-params-lockdown}
\end{table}

\begin{table}[]
\centering
\begin{tabular}{|l|l|l|}
\hline
\textbf{parameter} & \textbf{no lockdown} & \textbf{lockdown} \\ \hline
E(0) & 1 \% & 2 \% \\ \hline
P(0) & 40 \% & 95 \% \\ \hline
fAsymp & 43 \% & 5 \% \\ \hline
start fit & 2020-02-27 & 2020-03-12 \\ \hline
end fit & 2020-03-12 & 2020-05-11 \\ \hline
\end{tabular}
\caption{Settings for different scenarios}
\label{tab:2020-05-29-FNH-assumptions}
\end{table}

\begin{figure}[ht!]
\centering
\includegraphics[width=\wimg{}]{img/2020-05-29/lockdown.jpg}
\caption{FNH model simulation during lockdown}
\label{fig:FNH-plot-lockdown}
\end{figure}

\begin{figure}[ht!]
\centering
\includegraphics[width=\wimg{}]{img/2020-05-29/noLockdown.jpg}
\caption{FNH model simulation without lockdown}
\label{fig:FNH-plot-noLockdown}
\end{figure}
